Skip to main content
GET
Get reward source
Retrieve the account, asset, product-selection policy, filters, and default rate for a source. To see the rewards created from these settings, list the program’s rewards.
See Reward sources for setup and pricing examples.

Authorizations

X-API-Key
string
header
required

API key passed in the X-API-Key header.

Path Parameters

programId
string<uuid>
required

Program ID

sourceId
string
required

Reward source ID

Response

OK

asset_id
string<uuid>

Asset participants spend on these rewards

Example:

"550e8400-e29b-41d4-a716-446655440003"

category_filter
string[]

ALL-policy category filter (null = no filter)

Example:
country_filter
string[]

ALL-policy country filter (null = no filter)

Example:
created_at
string<date-time>

When the reward source was created (RFC 3339)

Example:

"2026-09-01T10:30:00Z"

default_rate
string

Asset units per currency minor unit of face value (decimal string)

Example:

"1.5"

fulfillment_account_id
string<uuid>

Fulfillment account supplying these products

Example:

"550e8400-e29b-41d4-a716-446655440002"

id
string<uuid>

Reward source ID

Example:

"550e8400-e29b-41d4-a716-446655440000"

policy
string

Product selection: MANUAL (nothing until products are enabled) or ALL

Example:

"ALL"

program_id
string<uuid>

Program this source belongs to

Example:

"550e8400-e29b-41d4-a716-446655440001"

status
string

Lifecycle status: ACTIVE

Example:

"ACTIVE"

updated_at
string<date-time>

When the reward source was last modified (RFC 3339)

Example:

"2026-09-01T10:30:00Z"